
package de.ivu.elect.presentation.email.menu;

import de.ivu.elect.business.email.entity.EmailVorlageMeta;
import de.ivu.elect.jee.entity.Meta;
import de.ivu.elect.presentation.email.exchange.EmailVorlageExportDescription;
import de.ivu.elect.presentation.exchange.ExportDescription;
import de.ivu.elect.presentation.exchange.menu.AbstractExportMenuItemEntry;

import javax.inject.Inject;

public class EmailVorlageExportMenuItemEntry extends AbstractExportMenuItemEntry {

  private static final long serialVersionUID = 1L;

  @Inject
  private EmailVorlageMeta emailVorlageMeta;

  @Inject
  private EmailVorlageExportDescription emailVorlageExportDescription;

  public EmailVorlageExportMenuItemEntry() {
    super();
  }

  @Override
  protected ExportDescription getExportDescription() {
    return emailVorlageExportDescription;
  }

  @Override
  protected Meta getMeta() {
    return emailVorlageMeta;
  }
}
